Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util
Class ObjectProxy

    java.lang.Object
      com.opensymphony.xwork2.util.ObjectProxy

    public class ObjectProxy

extends Object

An Object to use within OGNL to proxy other Objects usually Collections that you set in a different place on the ValueStack but want to retain the context information about where they previously were.

Author:
  Gabe

Field Summary
`private Class` | `lastClassAccessed`
`private String` | `lastPropertyAccessed`
`private Object` | `value`

Constructor Summary
`ObjectProxy()`

Method Summary
`Class` | `getLastClassAccessed()`
`String` | `getLastPropertyAccessed()`
`Object` | `getValue()`
`void` | `setLastClassAccessed(Class lastClassAccessed)`
`void` | `setLastPropertyAccessed(String lastPropertyAccessed)`
`void` | `setValue(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    private Object value

### lastClassAccessed

    private Class lastClassAccessed

### lastPropertyAccessed

    private String lastPropertyAccessed

Constructor Detail

### ObjectProxy

    public ObjectProxy()

Method Detail

### getLastClassAccessed

    public Class getLastClassAccessed()

### setLastClassAccessed

    public void setLastClassAccessed(Class lastClassAccessed)

### getLastPropertyAccessed

    public String getLastPropertyAccessed()

### setLastPropertyAccessed

    public void setLastPropertyAccessed(String lastPropertyAccessed)

### getValue

    public Object getValue()

### setValue

    public void setValue(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.